{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "NO_SEQ_ARR_ANNUL"; 
            externalType = NUMBER; 
            name = annulationOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CADOP_ANNULATION_SOURCE"; 
            externalType = NUMBER; 
            name = annulationSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CADOP_ORDRE"; 
            externalType = NUMBER; 
            name = cadopOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CADOP_SOURCE"; 
            externalType = NUMBER; 
            name = cadopSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ANNULATION"; 
            externalType = DATE; 
            name = dAnnulation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRIVEE_FOYER"; 
            externalType = DATE; 
            name = dArriveeFoyer; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_CG_ADOPTION"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CG_ADOPTION"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CG_ADOPTION"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEMANDE"; 
            externalType = DATE; 
            name = dDemande; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ENF_SOURCE"; 
            externalType = NUMBER; 
            name = enfSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_SOURCE"; 
            externalType = NUMBER; 
            name = idSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_ORDRE"; 
            externalType = NUMBER; 
            name = indOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NB_ENFANT_A_CHARGE"; 
            externalType = NUMBER; 
            name = nbEnfantACharge; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_CG_ADOPTION"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_ANNULATION"; 
            externalType = VARCHAR2; 
            name = noArreteAnnulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ENF_ORDRE"; 
            externalType = NUMBER; 
            name = noEnfant; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CADOP_OPERATION"; 
            externalType = VARCHAR2; 
            name = operation; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "CADOP_STATUT"; 
            externalType = VARCHAR2; 
            name = statut; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_ADOPTION_MULTIPLE"; 
            externalType = VARCHAR2; 
            name = temAdoptionMultiple; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CG_PARTAGE"; 
            externalType = VARCHAR2; 
            name = temCgPartage; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CG_SANS_TRAIT"; 
            externalType = VARCHAR2; 
            name = temCgSansTrait; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = VARCHAR2; 
            name = temConfirme; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = VARCHAR2; 
            name = temGestEtab; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "CADOP_IMPORT"; 
            externalType = VARCHAR2; 
            name = temImport; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (cadopOrdre); 
    className = "org.cocktail.connecteur.serveur.modele.entite_import.EOCongeAdoption"; 
    classProperties = (
        annulationSource, 
        cadopSource, 
        commentaire, 
        congeAnnulation, 
        dAnnulation, 
        dArriveeFoyer, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dCreation, 
        dDemande, 
        dModification, 
        enfant, 
        enfSource, 
        idSource, 
        individu, 
        nbEnfantACharge, 
        noArrete, 
        noArreteAnnulation, 
        operation, 
        statut, 
        temAdoptionMultiple, 
        temCgPartage, 
        temCgSansTrait, 
        temConfirme, 
        temGestEtab, 
        temImport, 
        temValide
    ); 
    externalName = "IMPORT.CONGE_ADOPTION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            annulationSource, 
            cadopSource, 
            commentaire, 
            dAnnulation, 
            dArriveeFoyer, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            dCreation, 
            dDemande, 
            dModification, 
            enfant, 
            enfSource, 
            idSource, 
            individu, 
            nbEnfantACharge, 
            noArrete, 
            noArreteAnnulation, 
            operation, 
            statut, 
            temAdoptionMultiple, 
            temCgPartage, 
            temCgSansTrait, 
            temConfirme, 
            temGestEtab, 
            temImport, 
            temValide
        ); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.entite_import.EOCongeAdoption"; 
    }; 
    name = CongeAdoption; 
    primaryKeyAttributes = (cadopOrdre); 
    relationships = (
        {
            destination = CongeAdoption; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cadopOrdre; sourceAttribute = annulationOrdre; }); 
            name = congeAnnulation; 
        }, 
        {
            destination = Enfant; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = enfOrdre; sourceAttribute = noEnfant; }); 
            name = enfant; 
        }, 
        {
            destination = Individu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = indOrdre; sourceAttribute = indOrdre; }); 
            name = individu; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = CongeAvecArrete; }; }; 
}
